<?php

require_once 'backend/error_reporting_config.php';

session_start();
define("OVS", true); // Im a simple security man. I only want requires to be called by me.
require_once 'backend/helpers.php';

$login = false;

if(isset($_SESSION['login']) && $_SESSION['login'] === 1) {
    
    $ip = getUserIP();
    if($_SESSION['ip'] != $ip) {
        
        header('Location: logout.php?error=ipc');
        exit;
    }
    $login = true;
}

$display = '';
if($login) {
    $params = @$_SESSION['info'];
    
    $name = $params['name'];
    $surname = $params['surname'];
    $by = $params['by'];
    $ni = $params['ni'];
    
    //$display = 'Welcome to results page ' . $name . ' ' . $surname . ' !';
}

// Database connection is established here for better performance
require_once 'backend/connect.php';

// First get the candidate ID's
$stmt = $pdo->prepare('SELECT * FROM voteoptions');
$stmt->execute();
$voteoptions = $stmt->fetchAll();

$candidatevotes = [];

// Get the total vote count for each candidate in loop
foreach($voteoptions as $voteoption) {
    
    $stmt = $pdo->prepare('SELECT COUNT(votedfor) AS votedforcount FROM votedpersons WHERE votedfor = :id');
    $stmt->bindParam(':id', $voteoption['id'], PDO::PARAM_STR);
    $stmt->execute();
    $candidatevote = $stmt->fetch();
    $candidatevote = $candidatevote['votedforcount'];
    
    $candidatevotes[$voteoption['name']] = $candidatevote;
}

unset($stmt);
unset($pdo);
?>
<!DOCTYPE html>
<html>
  <head>
    <title>Voting Results</title>
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700" rel="stylesheet">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <style>
      html, body {
      display: flex;
      justify-content: center;
      font-family: Roboto, Arial, sans-serif;
      font-size: 15px;
      }
      form {
      border: 5px solid #f1f1f1;
      }
      input[type=text], input[type=password] {
      width: 100%;
      padding: 16px 8px;
      margin: 8px 0;
      display: inline-block;
      border: 1px solid #ccc;
      box-sizing: border-box;
      }
      button {
      background-color: #8ebf42;
      color: white;
      padding: 14px 0;
      margin: 10px 0;
      border: none;
      cursor: grabbing;
      width: 100%;
      }
      h1 {
      text-align:center;
      fone-size:18;
      }
      button:hover {
      opacity: 0.8;
      }
      .formcontainer {
      text-align: left;
      margin: 24px 50px 12px;
      }
      .container {
      padding: 16px 0;
      text-align:left;
      }
      span.psw {
      float: right;
      padding-top: 0;
      padding-right: 15px;
      }
      /* Change styles for span on extra small screens */
      @media screen and (max-width: 300px) {
      span.psw {
      display: block;
      float: none;
      }
    </style>
  </head>
  <body>
    <form method="get" action="index.php">
      <h1>Voting Results</h1>
      <div class="formcontainer">
      <hr/>
      <div class="container">
        <p>Below you can see the latest voting results</p>
        <hr>
        <?php
            
            foreach($candidatevotes as $candidatename => $candidatevote) {
                
                ?>
                
                <p><?=$candidatename;?> | <?=$candidatevote;?>
                
                <?php
            }
            
        ?>
      </div>
      <button type="submit">Go back to main page</button>
    </form>
  </body>
</html>